Subject: Re: [Cbe-oss-dev] [PATCH] powerpc: allow PHBs anywhere in the device tree

From: Olof Johansson <[email-masked]>
Date: Tue, 12 Sep 2006 16:44:43 -0500

On Tue, 12 Sep 2006 23:16:21 +0200 Arnd Bergmann <[email-masked]> wrote:

> On Tuesday 12 September 2006 21:54, Olof Johansson wrote:
> > !strcasecmp(...) instead?
> 
> I do that normally for functions that return either a truth value
> or a pointer to an object that may be NULL, whereas strcasecmp
> returns a numerical value that I'm checking for a specific result.
> This is also consistant with how it is used elsewhere in the file.

Ok.

> > Do they ever exist in non-lowercase versions? Old code just did
> > strcmp().
> 
> I took that from device_is_compatible(), which also does
> strncasecmp, so I assumed that was done for a reason.

I think it might be because compatible is by tradition less specific. I
was also mostly looking at the patch, not the rest of the file. Either
is fine with me though, I just wanted to bring it up.

-Olof